Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1420072 - Can't print certain PDFs from Fedora 25 to HP Laserjet 1200
Summary: Can't print certain PDFs from Fedora 25 to HP Laserjet 1200
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: cups
Version: 25
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Zdenek Dohnal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-07 17:21 UTC by Nate Graham
Modified: 2017-12-12 10:27 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:27:15 UTC
Type: Bug


Attachments (Terms of Use)
troubleshoot.txt from the printer troubleshooter (32.97 KB, text/plain)
2017-02-07 17:21 UTC, Nate Graham
no flags Details
A PDF that won't print (57.81 KB, application/pdf)
2017-02-07 17:22 UTC, Nate Graham
no flags Details
A PDF that prints just fine (11.27 KB, application/pdf)
2017-02-07 17:22 UTC, Nate Graham
no flags Details
PPD file for the printer (104.69 KB, text/plain)
2017-02-07 17:23 UTC, Nate Graham
no flags Details
/var/log/cups/error_log during a successful print (719.49 KB, text/plain)
2017-02-11 03:31 UTC, Nate Graham
no flags Details
/var/log/cups/error_log during a print that hangs forever (716.54 KB, text/plain)
2017-02-11 03:32 UTC, Nate Graham
no flags Details

Description Nate Graham 2017-02-07 17:21:24 UTC
Created attachment 1248480 [details]
troubleshoot.txt from the printer troubleshooter

Description of problem:
I have a USB-connected HP LaserJet 1200 laser printer. From my Fedora 25 machine, most documents print just fine. However there are *certain* PDFs that refuse to print. I can print these troublesome PDFs from my Windows and Mac machines.


Version-Release number of selected component (if applicable):
- Fedora 25
- GNOME 3.22
- poppler-0.45.0-2.fc25


How reproducible:
100% reproducible with affected PDFs. 0% reproducible for other documents. Not sure what makes certain PDFs not work.


Steps to Reproduce:
1. Find/acquire/generate a troublesome PDF document (one is attached)
2. Print the PDF document from program that can print (evince, chromium, `lp`; doesn't matter)


Actual results:
The document shows up in the printer's job queue and the lights on the front of the printer begin to blink as though it's about to start printing. But it never actually prints. The job's status remains "processing" indefinitely. I've waited 30 minutes in this state and it never prints.


Expected results:
The document should print within 10 seconds of being sent to the printer.


Regression:
- All text documents print fine from gedit and `lp`
- Most PDF documents print fine from evince, chromium, and `lp`
- Affected PDFs do not print from any program (evince, chromium, or `lp`)


Additional info:
- Attached troubleshooting.txt from the printer troubleshooter
- Attached a PDF that won't print
- Attached a PDF that does print

Comment 1 Nate Graham 2017-02-07 17:22:03 UTC
Created attachment 1248481 [details]
A PDF that won't print

Comment 2 Nate Graham 2017-02-07 17:22:40 UTC
Created attachment 1248482 [details]
A PDF that prints just fine

Comment 3 Nate Graham 2017-02-07 17:23:44 UTC
Created attachment 1248484 [details]
PPD file for the printer

Comment 4 Zdenek Dohnal 2017-02-08 13:07:31 UTC
Hi Nate,

would you mind sending cups logs from successful and unsuccessful printing (attach please /var/log/cups/error_log file - before that you need to set LogLevel to debug2 in /etc/cups/cupsd.conf and ErrorLog in /etc/cups/cups-files.conf) and trying to install your printer by 'hp-setup -i' and 'hp-plugin -i'?

Comment 5 Nate Graham 2017-02-11 03:31:05 UTC
Installing the printer via the CLI worked fine and I was able to use it to print a test page. I'm attaching the requested log files: one showing the debug logging printed during a successful print, and another with the debug logging printed during a print attempt that hangs forever.

Comment 6 Nate Graham 2017-02-11 03:31:54 UTC
Created attachment 1249192 [details]
/var/log/cups/error_log during a successful print

Comment 7 Nate Graham 2017-02-11 03:32:18 UTC
Created attachment 1249193 [details]
/var/log/cups/error_log during a print that hangs forever

Comment 8 Jim 2017-07-05 05:11:27 UTC
I've seen similar issues with my Laserjet 400 M401dne. However in my case the printer light just flashes and there is nothing in the queue.

This happens with Okular, xpdf or lp. It only occurs with certain PDFs.

I did find that using Foxit those PDFs will print.

System is Xfce 25, fully up to date.

Comment 9 Fedora End Of Life 2017-11-16 18:52:51 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 10 Fedora End Of Life 2017-12-12 10:27:15 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.